## PatternKind

# Type Alias PatternKind

Source

    pub type PatternKind<'tcx> = PatternKind<TyCtxt<'tcx>>;

## Aliased Type§

    pub enum PatternKind<'tcx> {
        Range {
            start: Const<'tcx>,
            end: Const<'tcx>,
        },
        Or(&'tcx RawList<(), Pattern<'tcx>>),
        NotNull,
    }

## Variants§

§

### Range

#### Fields

§`start: Const<'tcx>`
§`end: Const<'tcx>`
§

### Or(&'tcx RawList<(), Pattern<'tcx>>)

§

### NotNull

## Layout§

Note: Unable to compute type layout, possibly due to this type having generic parameters. Layout can only be computed for concrete, fully-instantiated types.